curl --request POST \
--url https://thirdparty.qonto.com/v2/requests/{request_type}/{id}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Qonto-Idempotency-Key: <x-qonto-idempotency-key>' \
--data '
{
"debit_iban": "FR7616958000019475096658493"
}
'import requests
url = "https://thirdparty.qonto.com/v2/requests/{request_type}/{id}/approve"
payload = { "debit_iban": "FR7616958000019475096658493" }
headers = {
"X-Qonto-Idempotency-Key": "<x-qonto-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Qonto-Idempotency-Key': '<x-qonto-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({debit_iban: 'FR7616958000019475096658493'})
};
fetch('https://thirdparty.qonto.com/v2/requests/{request_type}/{id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_transfer": {
"id": "be160c90-058e-487a-b775-5b5cad3992aa",
"request_type": "transfer",
"initiator_id": "8fdb86eb-8e49-4be8-ab60-658b680629af",
"approver_id": null,
"note": "personal needs",
"declined_note": null,
"status": "approved",
"reference": "Invoice 2026-01",
"currency": "EUR",
"processed_at": null,
"created_at": "2021-10-11T14:28:28Z"
}
}Approve a request
OAuth scope: request_review.write
Accessible only using Strong Customer Authentication.
Example of SCA usage: Postman visual flow
Approves the pending request identified by the id path parameter. This request will change status from status = pending to status = approved.
You can ge the list of all the requests via the GET /v2/requests endpoint.
In the Qonto web-ap, requests can be listed and approved in the “Requests” tab.
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Learn more in Idempotent Requests.
"123e4567-e89b-12d3-a456-426614174000"
Path Parameters
UUID of the request to be processed.
Type of a request to be approved.
flash_cards, virtual_cards, transfers, multi_transfers Body
IBAN of account to debit for transfers or multi_transfers or IBAN of the account to link to the card for flash_cards or virtual_cards. If empty, the main account will be debited or linked.
"FR7616958000019475096658493"
Response
Returns the approved request.
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Was this page helpful?